Package org.apache.qpid.proton.amqp.transport

# Class Open

java.lang.Object
org.apache.qpid.proton.amqp.transport.Open

All Implemented Interfaces:
  `FrameBody`

public final class Open extends Object implements FrameBody

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.apache.qpid.proton.amqp.transport.FrameBody

`FrameBody.FrameBodyHandler<E>`

## Constructor Summary

Constructors
Constructor
Description
`Open()`
`Open(Open other)`

## Method Summary

Modifier and Type
Method
Description
`Open`
`copy()`
`UnsignedShort`
`getChannelMax()`
`String`
`getContainerId()`
`Symbol[]`
`getDesiredCapabilities()`
`String`
`getHostname()`
`UnsignedInteger`
`getIdleTimeOut()`
`Symbol[]`
`getIncomingLocales()`
`UnsignedInteger`
`getMaxFrameSize()`
`Symbol[]`
`getOfferedCapabilities()`
`Symbol[]`
`getOutgoingLocales()`
`Map`
`getProperties()`
`<E> void`
`invoke(FrameBody.FrameBodyHandler<E> handler, Binary payload, E context)`
`void`
`setChannelMax(UnsignedShort channelMax)`
`void`
`setContainerId(String containerId)`
`void`
`setDesiredCapabilities(Symbol... desiredCapabilities)`
`void`
`setHostname(String hostname)`
`void`
`setIdleTimeOut(UnsignedInteger idleTimeOut)`
`void`
`setIncomingLocales(Symbol... incomingLocales)`
`void`
`setMaxFrameSize(UnsignedInteger maxFrameSize)`
`void`
`setOfferedCapabilities(Symbol... offeredCapabilities)`
`void`
`setOutgoingLocales(Symbol... outgoingLocales)`
`void`
`setProperties(Map properties)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Open

public Open()

### Open

public Open(Open other)

## Method Details

### getContainerId

public String getContainerId()

### setContainerId

public void setContainerId(String containerId)

### getHostname

public String getHostname()

### setHostname

public void setHostname(String hostname)

### getMaxFrameSize

public UnsignedInteger getMaxFrameSize()

### setMaxFrameSize

public void setMaxFrameSize(UnsignedInteger maxFrameSize)

### getChannelMax

public UnsignedShort getChannelMax()

### setChannelMax

public void setChannelMax(UnsignedShort channelMax)

### getIdleTimeOut

public UnsignedInteger getIdleTimeOut()

### setIdleTimeOut

public void setIdleTimeOut(UnsignedInteger idleTimeOut)

### getOutgoingLocales

public Symbol[] getOutgoingLocales()

### setOutgoingLocales

public void setOutgoingLocales(Symbol... outgoingLocales)

### getIncomingLocales

public Symbol[] getIncomingLocales()

### setIncomingLocales

public void setIncomingLocales(Symbol... incomingLocales)

### getOfferedCapabilities

public Symbol[] getOfferedCapabilities()

### setOfferedCapabilities

public void setOfferedCapabilities(Symbol... offeredCapabilities)

### getDesiredCapabilities

public Symbol[] getDesiredCapabilities()

### setDesiredCapabilities

public void setDesiredCapabilities(Symbol... desiredCapabilities)

### getProperties

public Map getProperties()

### setProperties

public void setProperties(Map properties)

### invoke

public <E> void invoke(FrameBody.FrameBodyHandler<E> handler, Binary payload, E context)

Specified by:
  `invoke` in interface `FrameBody`

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### copy

public Open copy()

Specified by:
  `copy` in interface `FrameBody`
Returns:
  a deep copy of this FrameBody.